/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursementcount.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * 报销统计Entity
 * @author 陈玉平
 * @version 2018-07-03
 */
public class WorkReimbursementInfo extends ActEntity<WorkReimbursementInfo> {

	private static final long serialVersionUID = 1L;
	private String number;		// 报销编号
	private String officeId;		// 提交人的部门编号
	private String submitterId;		// 报销人 项目登记人
	private String submitterName;		// 报销人 项目登记人
	private Date submitterDate;		// 报销日期
	private BigDecimal money;		// 报销金额
	private String status;
	private String moneyStr;		// 报销状态
	private String companyId; //提交人的公司编号
	private String projectId;
	private String projectName;
    private  String ext;
	private String check;
	private String date;
	@ExcelField(title="报销金额", align=2, sort=5)
	public String getMoneyStr() {
		return UserUtils.getDecimalFormat(money);
	}
	public String getCheck() {
		return check;
	}

	public void setCheck(String check) {
		this.check = check;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getExt() {
		return ext;
	}

	public void setExt(String ext) {
		this.ext = ext;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	private String officeName;
	private Map<String, Object> variables;

	public WorkReimbursementInfo() {
		super();
	}

	public WorkReimbursementInfo(String id){
		super(id);
	}

	@ExcelField(title="报销申请编号", align=2, sort=1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="报销日期", align=2, sort=4)
	public Date getSubmitterDate() {
		return submitterDate;
	}

	public void setSubmitterDate(Date submitterDate) {
		this.submitterDate = submitterDate;
	}


	public BigDecimal getMoney() {
		return money;
	}

	public void setMoney(BigDecimal money) {
		this.money = money;
	}
	

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}


    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }


    public String getSubmitterId() {
        return submitterId;
    }

    public void setSubmitterId(String submitterId) {
        this.submitterId = submitterId;
    }

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}
	@ExcelField(title="报销项目", align=2, value="projectName",sort=2)
	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}
	@ExcelField(title="报销人", align=2, sort=3)
	public String getSubmitterName() {
		return submitterName;
	}

	public void setSubmitterName(String submitterName) {
		this.submitterName = submitterName;
	}

}